--- title: Get Industries description: This endpoint lets you list all the industries and their codes, see how many jobs and companies we have per industry and search for an industry. url: https://theirstack.com/en/docs/api-reference/catalog/get_catalog_industries_v0 --- Calls to this endpoint don't cost you [credits](/en/docs/pricing/credits). Our industries catalogue comes from [LinkedIn Industry Codes V2](https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2) ## GET /v0/catalog/industries — Get Industries This endpoint lets you list all the industries and their codes, see how many jobs and companies we have per industry and search for an industry. Calls to this endpoint don't cost you credits. Our industries catalogue comes from \[LinkedIn Industry Codes V2\](https://learn.microsoft.com/en-us/linkedin/shared/references/reference-tables/industry-codes-v2) ### Parameters | Name | In | Type | Required | Description | | --- | --- | --- | --- | --- | | `industry` | query | string | No | Name of an industry, case-insensitive. Will return industries that contain the given string either in their name, hierarchy or description | | `page` | query | integer | No | Page number. | | `limit` | query | integer | No | Number of results per page | ### Responses #### 200 — Successful Response | Field | Type | Required | Description | | --- | --- | --- | --- | | `data` | array | Yes | | | `metadata` | BaseMetadata | Yes | | ##### `data` | Field | Type | Required | Description | | --- | --- | --- | --- | | `companies` | integer | No | Number of companies in the industry | | `description` | string | No | Description of the industry | | `hierarchy` | string | No | Hierarchy of the industry, according to LinkedIn's taxonomy | | `industry` | string | No | Name of the industry | | `industry_id` | integer | No | ID of the industry | | `jobs` | integer | No | Number of jobs in the industry | | `parent_id` | integer | No | ID of the parent industry | ##### `metadata` | Field | Type | Required | Description | | --- | --- | --- | --- | | `total_results` | integer | No | Total number of results | #### 422 — Validation Error | Field | Type | Required | Description | | --- | --- | --- | --- | | `detail` | array | No | | ##### `detail` | Field | Type | Required | Description | | --- | --- | --- | --- | | `loc` | array | Yes | | | `msg` | string | Yes | | | `type` | string | Yes | |